> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Fanout Shopping Queries

> List the fanout shopping queries of a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json post /queries/shopping
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /queries/shopping:
    post:
      tags:
        - Project
      summary: List Fanout Shopping Queries
      description: List the fanout shopping queries of a project
      operationId: postQueriesShopping
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  description: Required if using a company api key
                  example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
                  type: string
                limit:
                  default: 1000
                  type: number
                  minimum: 1
                  maximum: 10000
                offset:
                  default: 0
                  type: number
                  minimum: 0
                start_date:
                  default: '2026-01-01'
                  description: >-
                    full-date notation as defined by RFC 3339, section 5.6, for
                    example, 2017-07-21
                  example: '2025-09-22'
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                end_date:
                  default: '2026-01-01'
                  description: >-
                    full-date notation as defined by RFC 3339, section 5.6, for
                    example, 2017-07-21
                  example: '2025-09-22'
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                filters:
                  description: >-
                    Filter results by specific fields. Multiple filters are
                    AND'd together.
                  example:
                    - field: prompt_id
                      operator: in
                      values:
                        - pr_abc123
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - model_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                              enum:
                                - chatgpt-scraper
                                - gpt-4o
                                - gpt-4o-search
                                - gpt-3.5-turbo
                                - llama-sonar
                                - perplexity-scraper
                                - sonar
                                - gemini-2.5-flash
                                - gemini-scraper
                                - google-ai-overview-scraper
                                - google-ai-mode-scraper
                                - llama-3.3-70b-instruct
                                - deepseek-r1
                                - deepseek-v4-pro
                                - claude-3.5-haiku
                                - claude-haiku-4.5
                                - claude-sonnet-4
                                - grok-scraper
                                - microsoft-copilot-scraper
                                - grok-4
                                - grok-4.3
                                - qwen-3-6-plus
                                - qwen-3-7-plus
                                - amazon-rufus-scraper
                        required:
                          - field
                          - operator
                          - values
                        deprecated: true
                        description: 'Deprecated: use model_channel_id filter instead'
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - model_channel_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                              enum:
                                - openai-0
                                - openai-1
                                - qwen-0
                                - openai-2
                                - perplexity-0
                                - perplexity-1
                                - google-0
                                - google-1
                                - google-2
                                - google-3
                                - anthropic-0
                                - anthropic-1
                                - deepseek-0
                                - meta-0
                                - xai-0
                                - xai-1
                                - microsoft-0
                                - amazon-0
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - tag_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - topic_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - prompt_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - chat_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                project_id:
                  description: Required if using a company api key
                  example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
                  type: string
                limit:
                  default: 1000
                  type: number
                  minimum: 1
                  maximum: 10000
                offset:
                  default: 0
                  type: number
                  minimum: 0
                start_date:
                  default: '2026-01-01'
                  description: >-
                    full-date notation as defined by RFC 3339, section 5.6, for
                    example, 2017-07-21
                  example: '2025-09-22'
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                end_date:
                  default: '2026-01-01'
                  description: >-
                    full-date notation as defined by RFC 3339, section 5.6, for
                    example, 2017-07-21
                  example: '2025-09-22'
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                filters:
                  description: >-
                    Filter results by specific fields. Multiple filters are
                    AND'd together.
                  example:
                    - field: prompt_id
                      operator: in
                      values:
                        - pr_abc123
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - model_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                              enum:
                                - chatgpt-scraper
                                - gpt-4o
                                - gpt-4o-search
                                - gpt-3.5-turbo
                                - llama-sonar
                                - perplexity-scraper
                                - sonar
                                - gemini-2.5-flash
                                - gemini-scraper
                                - google-ai-overview-scraper
                                - google-ai-mode-scraper
                                - llama-3.3-70b-instruct
                                - deepseek-r1
                                - deepseek-v4-pro
                                - claude-3.5-haiku
                                - claude-haiku-4.5
                                - claude-sonnet-4
                                - grok-scraper
                                - microsoft-copilot-scraper
                                - grok-4
                                - grok-4.3
                                - qwen-3-6-plus
                                - qwen-3-7-plus
                                - amazon-rufus-scraper
                        required:
                          - field
                          - operator
                          - values
                        deprecated: true
                        description: 'Deprecated: use model_channel_id filter instead'
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - model_channel_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                              enum:
                                - openai-0
                                - openai-1
                                - qwen-0
                                - openai-2
                                - perplexity-0
                                - perplexity-1
                                - google-0
                                - google-1
                                - google-2
                                - google-3
                                - anthropic-0
                                - anthropic-1
                                - deepseek-0
                                - meta-0
                                - xai-0
                                - xai-1
                                - microsoft-0
                                - amazon-0
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - tag_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - topic_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - prompt_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - chat_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
          multipart/form-data:
            schema:
              type: object
              properties:
                project_id:
                  description: Required if using a company api key
                  example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
                  type: string
                limit:
                  default: 1000
                  type: number
                  minimum: 1
                  maximum: 10000
                offset:
                  default: 0
                  type: number
                  minimum: 0
                start_date:
                  default: '2026-01-01'
                  description: >-
                    full-date notation as defined by RFC 3339, section 5.6, for
                    example, 2017-07-21
                  example: '2025-09-22'
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                end_date:
                  default: '2026-01-01'
                  description: >-
                    full-date notation as defined by RFC 3339, section 5.6, for
                    example, 2017-07-21
                  example: '2025-09-22'
                  type: string
                  format: date
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                filters:
                  description: >-
                    Filter results by specific fields. Multiple filters are
                    AND'd together.
                  example:
                    - field: prompt_id
                      operator: in
                      values:
                        - pr_abc123
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - model_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                              enum:
                                - chatgpt-scraper
                                - gpt-4o
                                - gpt-4o-search
                                - gpt-3.5-turbo
                                - llama-sonar
                                - perplexity-scraper
                                - sonar
                                - gemini-2.5-flash
                                - gemini-scraper
                                - google-ai-overview-scraper
                                - google-ai-mode-scraper
                                - llama-3.3-70b-instruct
                                - deepseek-r1
                                - deepseek-v4-pro
                                - claude-3.5-haiku
                                - claude-haiku-4.5
                                - claude-sonnet-4
                                - grok-scraper
                                - microsoft-copilot-scraper
                                - grok-4
                                - grok-4.3
                                - qwen-3-6-plus
                                - qwen-3-7-plus
                                - amazon-rufus-scraper
                        required:
                          - field
                          - operator
                          - values
                        deprecated: true
                        description: 'Deprecated: use model_channel_id filter instead'
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - model_channel_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                              enum:
                                - openai-0
                                - openai-1
                                - qwen-0
                                - openai-2
                                - perplexity-0
                                - perplexity-1
                                - google-0
                                - google-1
                                - google-2
                                - google-3
                                - anthropic-0
                                - anthropic-1
                                - deepseek-0
                                - meta-0
                                - xai-0
                                - xai-1
                                - microsoft-0
                                - amazon-0
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - tag_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - topic_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - prompt_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - chat_id
                          operator:
                            type: string
                            enum:
                              - in
                              - not_in
                          values:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - field
                          - operator
                          - values
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        prompt:
                          type: object
                          properties:
                            id:
                              type: string
                              example: pr_93f790de-5b7a-45ee-b782-61103c81f20d
                          required:
                            - id
                        chat:
                          type: object
                          properties:
                            id:
                              type: string
                              example: ch_61184892-36ad-4e1a-8178-3a83608f7711
                          required:
                            - id
                        model:
                          deprecated: true
                          description: 'Deprecated: use model_channel instead'
                          type: object
                          properties:
                            id:
                              type: string
                              example: gpt-4o-search
                          required:
                            - id
                        model_channel:
                          type: object
                          properties:
                            id:
                              type: string
                              example: openai-1
                          required:
                            - id
                        date:
                          type: string
                          example: '2025-09-17'
                        query:
                          type: object
                          properties:
                            text:
                              type: string
                              example: What is Peec?
                            products:
                              type: array
                              items:
                                type: string
                              example:
                                - Peec AI
                                - Peec Pro
                          required:
                            - text
                            - products
                      required:
                        - prompt
                        - chat
                        - model
                        - model_channel
                        - date
                        - query
                  total_count:
                    type: number
                    example: 42
                    description: >-
                      Total number of matching shopping queries, ignoring
                      pagination
                  totalCount:
                    type: number
                    example: 42
                    description: >-
                      Total number of matching shopping queries, ignoring
                      pagination
                    deprecated: true
                required:
                  - data
                  - total_count
                  - totalCount
                description: Success
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````